=== debian/control ===
Source: authd
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper-compat (= 13),
               dbus,
               dh-apport,
               dh-cargo,
               dh-golang,
               golang-go (>= 2:1.21~),
               jq,
               libc6-dev (>= 2.35),
               libpam0g-dev,
               pkg-config,
               protobuf-compiler,
Standards-Version: 4.6.2
XS-Go-Import-Path: github.com/ubuntu/authd
XS-Vendored-Sources-Rust: addr2line@0.21.0, adler@1.0.2, aho-corasick@1.1.2, anyhow@1.0.79, async-stream-impl@0.3.5, async-stream@0.3.5, async-trait@0.1.77, autocfg@1.1.0, axum-core@0.3.4, axum@0.6.20, backtrace@0.3.69, base64@0.21.7, bitflags@1.3.2, bitflags@2.4.2, bytes@1.5.0, cc@1.0.83, cfg-if@1.0.0, colored@2.1.0, ctor@0.2.6, deranged@0.3.11, either@1.9.0, equivalent@1.0.1, errno@0.3.8, error-chain@0.12.4, fastrand@2.0.1, fixedbitset@0.4.2, fnv@1.0.7, futures-channel@0.3.30, futures-core@0.3.30, futures-sink@0.3.30, futures-task@0.3.30, futures-util@0.3.30, getrandom@0.2.12, gimli@0.28.1, h2@0.3.24, hashbrown@0.12.3, hashbrown@0.14.3, heck@0.4.1, hermit-abi@0.3.4, home@0.5.9, hostname@0.3.1, http-body@0.4.6, http@0.2.11, httparse@1.8.0, httpdate@1.0.3, hyper-timeout@0.4.1, hyper@0.14.28, indexmap@1.9.3, indexmap@2.2.2, itertools@0.11.0, itoa@1.0.10, lazy_static@1.4.0, libc@0.2.153, libnss@0.5.0, linux-raw-sys@0.4.13, log@0.4.20, match_cfg@0.1.0, matchit@0.7.3, memchr@2.7.1, mime@0.3.17, miniz_oxide@0.7.2, mio@0.8.10, multimap@0.8.3, num-conv@0.1.0, num_cpus@1.16.0, num_threads@0.1.6, object@0.32.2, once_cell@1.19.0, paste@1.0.14, percent-encoding@2.3.1, petgraph@0.6.4, pin-project-internal@1.1.4, pin-project-lite@0.2.13, pin-project@1.1.4, pin-utils@0.1.0, powerfmt@0.2.0, ppv-lite86@0.2.17, prettyplease@0.2.16, proc-macro2@1.0.78, prost-build@0.12.3, prost-derive@0.12.3, prost-types@0.12.3, prost@0.12.3, quote@1.0.35, rand@0.8.5, rand_chacha@0.3.1, rand_core@0.6.4, redox_syscall@0.4.1, regex-automata@0.4.5, regex-syntax@0.8.2, regex@1.10.3, rustc-demangle@0.1.23, rustix@0.38.31, rustversion@1.0.14, serde@1.0.196, serde_derive@1.0.196, simple_logger@4.3.3, slab@0.4.9, socket2@0.5.5, syn@2.0.48, sync_wrapper@0.1.2, syslog@6.1.0, tempfile@3.9.0, time-core@0.1.2, time-macros@0.2.17, time@0.3.34, tokio-io-timeout@1.2.0, tokio-macros@2.2.0, tokio-stream@0.1.14, tokio-util@0.7.10, tokio@1.36.0, tonic-build@0.10.2, tonic@0.10.2, tower-layer@0.3.2, tower-service@0.3.2, tower@0.4.13, tracing-attributes@0.1.27, tracing-core@0.1.32, tracing@0.1.40, try-lock@0.2.5, unicode-ident@1.0.12, version_check@0.9.4, want@0.3.1, wasi@0.11.0+wasi-snapshot-preview1, which@4.4.2, winapi-i686-pc-windows-gnu@0.4.0, winapi-x86_64-pc-windows-gnu@0.4.0, winapi@0.3.9, windows-sys@0.48.0, windows-sys@0.52.0, windows-targets@0.48.5, windows-targets@0.52.0, windows_aarch64_gnullvm@0.48.5, windows_aarch64_gnullvm@0.52.0, windows_aarch64_msvc@0.48.5, windows_aarch64_msvc@0.52.0, windows_i686_gnu@0.48.5, windows_i686_gnu@0.52.0, windows_i686_msvc@0.48.5, windows_i686_msvc@0.52.0, windows_x86_64_gnu@0.48.5, windows_x86_64_gnu@0.52.0, windows_x86_64_gnullvm@0.48.5, windows_x86_64_gnullvm@0.52.0, windows_x86_64_msvc@0.48.5, windows_x86_64_msvc@0.52.0
Homepage: https://github.com/ubuntu/authd
Vcs-Browser: https://github.com/ubuntu/authd
Vcs-Git: https://github.com/ubuntu/authd.git
Rules-Requires-Root: no
Description: Authentication daemon for cloud-based identity provider
 .
 Authd is a versatile authentication service designed to seamlessly integrate
 with cloud identity providers like OpenID Connect and Entra ID. It offers a
 secure interface for system authentication, supporting cloud-based identity
 management. Authd features a modular structure, facilitating straightforward
 integration with different cloud services maintaining strong security and
 effective user authentication.

Package: authd
Architecture: any
Built-Using: ${misc:Built-Using},
Depends: ${shlibs:Depends},
         ${misc:Depends},
Description: ${source:Synopsis}
 ${source:Extended-Description}
 .
 This package contains the authentication daemon together with the PAM & NSS
 modules.
