=== debian/tests/control ===
Test-Command: AUTHD_SKIP_EXTERNAL_DEPENDENT_TESTS=1 go test -v -mod=vendor ./...
Restrictions: allow-stderr
Depends: @builddeps@
