## authd 0.5.8

=== debian/changelog ===
authd (0.5.8) resolute; urgency=medium

  * Add scripts/generate-vendored-copyright
  * Cargo.toml: Exclude unwanted files from vendored crates
  * debian/copyright: Generate file entries for vendored dependencies
  * debian/control: Remove redundant Rules-Requires-Root field
  * debian/control: Update repo URL
  * debian/lintian-overrides: Static-Built-Using is a valid field
  * debian/lintian-overrides: "Unknwon" is not a typo
  * debian/lrc.config: Add false positives
  * debian/source/lintian-overrides: Ignore missing copyright holder because
  * debian/source/options: Exclude docs from source
    many of our vendored dependencies do not declare a copyright holder.
  * needs-packaging: LP: #2136731

 -- Adrian Dombeck <adrian.dombeck@canonical.com>  Tue, 23 Feb 2026 11:58:00 +0100

authd (0.5.7) resolute; urgency=medium

  * debian/copyright: Add missing licenses
  * needs-packaging: LP: #2136731

 -- Adrian Dombeck <adrian.dombeck@canonical.com>  Wed, 14 Jan 2026 14:22:37 +0100

authd (0.5.6) questing; urgency=medium

  * New launchpad upload

 -- Adrian Dombeck <adrian.dombeck@canonical.com>  Wed, 18 Jun 2025 16:05:23 +0200

authd (0.5.5) questing; urgency=medium

  * Fix race with accounts service which could result in authd users not being
    listed in the GDM login screen.
  * When authenticating on the command-line, show a message that explains that
    the escape key can be used to go back.
  * Improve log message.
  * Update Go dependencies:
    - toolchain go1.23.10

 --  <adrian.dombeck@canonical.com>  Tue, 17 Jun 2025 19:42:04 +0200

authd (0.5.4) questing; urgency=medium

  * CVE-2025-5689: Fix new users logging in via SSH being part of the root group
  * Set the GID of the user private group to the UID.
  * Document that GID == UID for the user private group in comment for UID/GID
    ranges

 --  <adrian.dombeck@canonical.com>  Fri, 13 Jun 2025 13:46:34 +0200

authd (0.5.3) questing; urgency=medium

  * Notify user that a reboot is required after upgrade
  * Fix login via GDM being broken after authd update when an old gnome-shell
    is still running.

 --  <adrian.dombeck@canonical.com>  Wed, 04 Jun 2025 21:41:07 +0200

authd (0.5.2) questing; urgency=medium

  * Fix another issue with the migration to lowercase user and group names

 --  <adrian.dombeck@canonical.com>  Tue, 03 Jun 2025 17:30:46 +0200

authd (0.5.1) questing; urgency=medium

  * Fix migration to lowercase user and group names

 --  <adrian.dombeck@canonical.com>  Mon, 26 May 2025 19:24:52 +0200

authd (0.5.0) questing; urgency=medium

  * Use SQLite instead of bbolt
  * Use lowercase usernames
  * Fix races in the PAM module.
  * Do not support device authentication mode in polkit.
  * Do not clear terminal context on sudo or other authenticated ops
  * Fix login via GDM with some non-English locales
  * Simplified GDM PAM protocol
  * Don't overwrite shell when updating user entry
  * Improve warning logged when home directory has incorrect owner/group
  * Support logging to the journal with priority "notice"
  * Improved integration tests and added more
  * Hide secrets in debug messages
  * More useful error messages
  * Add bubblewrap to build dependencies
  * debian/control:
    * Add bubblewrap to build dependencies
    * Update XS-Vendored-Sources-Rust
    * Add breaks on the old GNOME Shell versions
  * debian/gbp.conf: Use cargo-vendor-filterer from path during build
  * Update Go dependencies:
    - toolchain go1.23.8
    - github.com/charmbracelet/bubbletea v1.3.4
    - github.com/charmbracelet/lipgloss v1.1.0
    - github.com/mattn/go-sqlite3 v1.14.28
    - github.com/muesli/termenv v0.16.0
    - github.com/spf13/cobra v1.9.1
    - github.com/spf13/viper v1.20.1
    - go.etcd.io/bbolt v1.4.0
    - golang.org/x/sys v0.32.0
    - golang.org/x/term v0.31.0
    - google.golang.org/grpc v1.71.1
    - google.golang.org/protobuf v1.36.6
    - github.com/charmbracelet/colorprofile v0.2.3-0.20250311203215-f60798e515dc // indirect
    - github.com/charmbracelet/x/ansi v0.8.0 // indirect
    - github.com/charmbracelet/x/cellbuf v0.0.13-0.20250311204145-2c3ea96c31dd // indirect
    - github.com/fsnotify/fsnotify v1.8.0 // indirect
    - github.com/go-viper/mapstructure/v2 v2.2.1 // indirect
    - github.com/pelletier/go-toml/v2 v2.2.3 // indirect
    - github.com/sagikazarmark/locafero v0.7.0 // indirect
    - github.com/spf13/afero v1.12.0 // indirect
    - github.com/spf13/cast v1.7.1 // indirect
    - github.com/spf13/pflag v1.0.6 // indirect
    - github.com/xo/terminfo v0.0.0-20220910002029-abceb7e1c41e // indirect
    - golang.org/x/net v0.38.0 // indirect
    - golang.org/x/sync v0.12.0 // indirect
    - golang.org/x/text v0.23.0 // indirect
    - google.golang.org/genproto/googleapis/rpc v0.0.0-20250115164207-1a7da9e5054f // indirect
  * Update Rust dependencies:
    - cc ^1.2.10
    - ctor ^0.2.9
    - hyper-util ^0.1.10
    - libc ^0.2.169
    - libnss ^0.8.0
    - log ^0.4.25
    - prost ^0.13.4
    - rustix ^0.38.44
    - tokio ^1.43.0
    - tonic ^0.12.3
    - tonic-build 0.11.*

 --  <adrian.dombeck@canonical.com>  Wed, 21 May 2025 19:48:06 +0200

authd (0.4.1) plucky; urgency=medium

  * New Launchpad upload

 --  <adrian.dombeck@canonical.com>  Thu, 30 Jan 2025 15:06:09 +0100

authd (0.4.0) plucky; urgency=medium

  * Generate random UIDs and GIDs. This fixes an issue which can lead to login
    failing because of UID/GID collisions.
  * Fix login with non-authd user failing when authd is unavailable
  * Fix login failing if a group has been renamed on the provider's end
  * Avoid creating users or groups which already exist (with the same name,
    but different UID/GID) on the system.
  * Use more restrictive sandboxing for the authd systemd service
  * Use journal native protocol to print nice log messages to the systemd journal
  * Update Go dependencies:
    - toolchain go1.23.5
    - github.com/charmbracelet/x/term v0.2.1
    - github.com/coreos/go-systemd/v22 v22.5.0

