=== debian/control ===
Source: authd
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper-compat (= 13),
               bubblewrap <!nocheck>,
               cracklib-runtime <!nocheck>,
               dbus <!nocheck>,
               dh-apport,
               dh-cargo,
               dh-exec,
               dh-golang,
               dctrl-tools,
# FIXME: We need cargo-vendor-filterer starting from plucky, but noble isn't ready yet
# so workaround it, making it kind of optional, and requiring it only on versions after
# noble (controlled via base-files version that matches the one in noble).
               cargo-vendor-filterer | base-files (<< 13.5),
               golang-go (>= 2:1.23~) | golang-1.23-go,
               libc6-dev (>= 2.35),
               libglib2.0-dev,
               libpam0g-dev,
               libpwquality-dev,
               pkgconf,
               protobuf-compiler,
Standards-Version: 4.6.2
XS-Go-Import-Path: github.com/ubuntu/authd
XS-Vendored-Sources-Rust: adler2@2.0.0, aho-corasick@1.1.3, anyhow@1.0.98, async-trait@0.1.88, atomic-waker@1.1.2, autocfg@1.4.0, axum-core@0.5.2, axum@0.8.4, base64@0.22.1, bitflags@2.9.0, bytes@1.10.1, cc@1.2.21, cfg-if@1.0.0, chrono@0.4.41, colored@2.2.0, crc32fast@1.4.2, ctor-proc-macro@0.0.5, ctor@0.4.2, deranged@0.4.0, dtor-proc-macro@0.0.5, dtor@0.0.6, either@1.15.0, equivalent@1.0.2, errno@0.3.11, fastrand@2.3.0, fixedbitset@0.5.7, flate2@1.1.1, fnv@1.0.7, futures-channel@0.3.31, futures-core@0.3.31, futures-sink@0.3.31, futures-task@0.3.31, futures-util@0.3.31, getrandom@0.3.2, h2@0.4.10, hashbrown@0.15.3, heck@0.5.0, hex@0.4.3, hostname@0.4.1, http-body-util@0.1.3, http-body@1.0.1, http@1.3.1, httparse@1.10.1, httpdate@1.0.3, hyper-timeout@0.5.2, hyper-util@0.1.11, hyper@1.6.0, iana-time-zone@0.1.63, indexmap@2.9.0, itertools@0.14.0, itoa@1.0.15, lazy_static@1.5.0, libc@0.2.172, libnss@0.9.0, linux-raw-sys@0.4.15, linux-raw-sys@0.9.4, log@0.4.27, matchit@0.8.4, memchr@2.7.4, mime@0.3.17, miniz_oxide@0.8.8, mio@1.0.3, multimap@0.10.0, num-conv@0.1.0, num-traits@0.2.19, num_threads@0.1.7, once_cell@1.21.3, paste@1.0.15, percent-encoding@2.3.1, petgraph@0.7.1, pin-project-internal@1.1.10, pin-project-lite@0.2.16, pin-project@1.1.10, pin-utils@0.1.0, powerfmt@0.2.0, prettyplease@0.2.32, proc-macro2@1.0.95, procfs-core@0.17.0, procfs@0.17.0, prost-build@0.13.5, prost-derive@0.13.5, prost-types@0.13.5, prost@0.13.5, quote@1.0.40, regex-automata@0.4.9, regex-syntax@0.8.5, regex@1.11.1, rustix@0.38.44, rustix@1.0.7, rustversion@1.0.20, serde@1.0.219, shlex@1.3.0, simple_logger@5.0.0, slab@0.4.9, smallvec@1.15.0, socket2@0.5.9, syn@2.0.101, sync_wrapper@1.0.2, syslog@7.0.0, tempfile@3.19.1, time-core@0.1.4, time-macros@0.2.22, time@0.3.41, tokio-macros@2.5.0, tokio-stream@0.1.17, tokio-util@0.7.15, tokio@1.45.0, tonic-build@0.13.1, tonic@0.13.1, tower-layer@0.3.3, tower-service@0.3.3, tower@0.4.13, tower@0.5.2, tracing-attributes@0.1.28, tracing-core@0.1.33, tracing@0.1.41, try-lock@0.2.5, unicode-ident@1.0.18, want@0.3.1
Homepage: https://github.com/ubuntu/authd
Vcs-Browser: https://github.com/ubuntu/authd
Vcs-Git: https://github.com/ubuntu/authd.git
Description: Authentication daemon for cloud-based identity provider
 Authd is a versatile authentication service designed to seamlessly integrate
 with cloud identity providers like OpenID Connect and Entra ID. It offers a
 secure interface for system authentication, supporting cloud-based identity
 management. Authd features a modular structure, facilitating straightforward
 integration with different cloud services maintaining strong security and
 effective user authentication.

Package: authd
Architecture: any
Built-Using: ${misc:Built-Using}, ${cargo:Built-Using}
Static-Built-Using: ${misc:Static-Built-Using}, ${cargo:Static-Built-Using},
X-Cargo-Built-Using: ${cargo:X-Cargo-Built-Using},
Depends: ${shlibs:Depends},
         ${misc:Depends},
Recommends: ${misc:Recommends},
            libpam-modules,
Breaks: gnome-shell (<< 46.3.1-1ubuntu1~24.04.1authd6~)
Description: ${source:Synopsis}
 ${source:Extended-Description}
 .
 This package contains the authentication daemon together with the PAM & NSS
 modules.
